crack_closedict
crack_opendict
Crack Functions
PHP Manual

# crack_getlastmessage

Returns the message from the last obscure check

### Description

string crack_getlastmessage ( void )

crack_getlastmessage returns the message from the last obscure check.

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Return Values

The message from the last obscure check or `FALSE` if there was no obscure checks made so far.

The returned message is one of:

- it's WAY too short
- it is too short
- it does not contain enough DIFFERENT characters
- it is all whitespace
- it is too simplistic/systematic
- it looks like a National Insurance number.
- it is based on a dictionary word
- it is based on a (reversed) dictionary word
- strong password

### See Also

- crack_check